/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ResourceTypeOptionsDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ResourceTypeOptionsDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ResourceTypeOptionsDto
        //private ResourceTypeOptionsDto instance;

        public ResourceTypeOptionsDtoTests()
        {
            // TODO uncomment below to create an instance of ResourceTypeOptionsDto
            //instance = new ResourceTypeOptionsDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ResourceTypeOptionsDto
        /// </summary>
        [Fact]
        public void ResourceTypeOptionsDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ResourceTypeOptionsDto
            //Assert.IsType<ResourceTypeOptionsDto>(instance);
        }

        /// <summary>
        /// Test the property 'LinkedData'
        /// </summary>
        [Fact]
        public void LinkedDataTest()
        {
            // TODO unit test for the property 'LinkedData'
        }

        /// <summary>
        /// Test the property 'GitLab'
        /// </summary>
        [Fact]
        public void GitLabTest()
        {
            // TODO unit test for the property 'GitLab'
        }

        /// <summary>
        /// Test the property 'Rds'
        /// </summary>
        [Fact]
        public void RdsTest()
        {
            // TODO unit test for the property 'Rds'
        }

        /// <summary>
        /// Test the property 'RdsS3'
        /// </summary>
        [Fact]
        public void RdsS3Test()
        {
            // TODO unit test for the property 'RdsS3'
        }

        /// <summary>
        /// Test the property 'RdsS3Worm'
        /// </summary>
        [Fact]
        public void RdsS3WormTest()
        {
            // TODO unit test for the property 'RdsS3Worm'
        }

        /// <summary>
        /// Test the property 'FileSystemStorage'
        /// </summary>
        [Fact]
        public void FileSystemStorageTest()
        {
            // TODO unit test for the property 'FileSystemStorage'
        }
    }
}
